##%%define _use_internal_dependency_generator 0
##%%define __find_requires %{SOURCE10}

%define realname Digest-SHA1
%define bsname %{realname}-%{version}

%define perlbin /usr/bin/perl

Summary: Perl interface to the SHA-1 algorithm
Name: perl-%{realname}
Version: 2.11
Release: 1
Epoch: 2
License: GPL or Artistic
Group: Applications/CPAN
Source0: %{bsname}.tar.gz
##%Source10: filter-requires-%{realname}.sh
URL: http://search.cpan.org/search?query=%{realname}
BuildRoot: %{_tmppath}/%{name}-root/
BuildRequires: perl
Requires: perl
#BuildArch: noarch

%description
The Digest::SHA1 module allows you to use the NIST SHA-1 message digest algorithm from within Perl programs. The algorithm takes as input a message of arbitrary length and produces as output a 160-bit "fingerprint" or "message digest" of the input.

The Digest::SHA1 module provide a procedural interface for simple use, as well as an object oriented interface that can handle messages of arbitrary length and which can read files directly.

%prep
%setup -n %{bsname}

%build
eval `%{perlbin} -V:prefix`
eval `%{perlbin} -V:vendorlib`
eval `%{perlbin} -V:vendorarch`
%{perlbin} Makefile.PL -- CFLAGS="${RPM_OPT_FLAGS}" \
        PREFIX="${RPM_BUILD_ROOT}/$prefix" INSTALLDIRS=vendor \
        INSTALLVENDORLIB="${RPM_BUILD_ROOT}/$vendorlib" \
        INSTALLVENDORARCH="${RPM_BUILD_ROOT}/$vendorarch" \
	< /dev/null
make
make test

%install
rm -rf "$RPM_BUILD_ROOT"
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/$prefix -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > filelist
if [ "$(cat filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf "$RPM_BUILD_DIR/%{bsname}"
rm -rf "$RPM_BUILD_ROOT"

%files -f filelist
%defattr(-,root,root)
%doc README Changes fip180-1.html

%changelog
* Fri Mar 17 2006 HONDA Hirofumi <honda.hirofumi@nttcom.co.jp>
- Created for ultramonkey3
- 2.11
