##%%define _use_internal_dependency_generator 0
##%%define __find_requires %{SOURCE10}

%define realname HTML-Parser
%define bsname %{realname}-%{version}

%define perlbin /usr/bin/perl

Summary: HTML parser class
Name: perl-%{realname}
Version: 3.50
Release: 1
Epoch: 2
License: GPL or Artistic
Group: Applications/CPAN
Source0: %{bsname}.tar.gz
##%Source10: filter-requires-%{realname}.sh
URL: http://search.cpan.org/search?query=%{realname}
BuildRoot: %{_tmppath}/%{name}-root/
BuildRequires: perl >= 5.006, perl-HTML-Tagset >= 3
Requires: perl >= 5.006, perl-HTML-Tagset >= 3
##BuildArch: noarch

%description
Objects of the HTML::Parser class will recognize markup and separate it from plain text (alias data content) in HTML documents. As different kinds of markup and text are recognized, the corresponding event handlers are invoked.

HTML::Parser is not a generic SGML parser. We have tried to make it able to deal with the HTML that is actually "out there", and it normally parses as closely as possible to the way the popular web browsers do it instead of strictly following one of the many HTML specifications from W3C. Where there is disagreement, there is often an option that you can enable to get the official behaviour.

The document to be parsed may be supplied in arbitrary chunks. This makes on-the-fly parsing as documents are received from the network possible.

If event driven parsing does not feel right for your application, you might want to use HTML::PullParser. This is an HTML::Parser subclass that allows a more conventional program structure.

%prep
%setup -n %{bsname}

%build
eval `%{perlbin} -V:prefix`
eval `%{perlbin} -V:vendorlib`
eval `%{perlbin} -V:vendorarch`
%{perlbin} Makefile.PL -- CFLAGS="${RPM_OPT_FLAGS}" \
        PREFIX="${RPM_BUILD_ROOT}/$prefix" INSTALLDIRS=vendor \
        INSTALLVENDORLIB="${RPM_BUILD_ROOT}/$vendorlib" \
        INSTALLVENDORARCH="${RPM_BUILD_ROOT}/$vendorarch" \
	< /dev/null
make
make test

%install
rm -rf "$RPM_BUILD_ROOT"
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/$prefix -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > filelist
if [ "$(cat filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf "$RPM_BUILD_DIR/%{bsname}"
rm -rf "$RPM_BUILD_ROOT"

%files -f filelist
%defattr(-,root,root)
%doc README Changes 

%changelog
* Fri Mar 17 2006 HONDA Hirofumi <honda.hirofumi@nttcom.co.jp>
- Created for ultramonkey3
- 3.50
