##%%define _use_internal_dependency_generator 0
##%%define __find_requires %{SOURCE10}

%define realname IO-Socket-SSL
%define bsname %{realname}-%{version}

%define perlbin /usr/bin/perl

Summary: Nearly transparent SSL encapsulation for IO::Socket::INET
Name: perl-%{realname}
Version: 0.97
Release: 1
Epoch: 2
License: GPL or Artistic
Group: Applications/CPAN
Source0: %{bsname}.tar.gz
##%Source10: filter-requires-%{realname}.sh
URL: http://search.cpan.org/search?query=%{realname}
BuildRoot: %{_tmppath}/%{name}-root/
BuildRequires: perl, perl-Net_SSLeay.pm >= 1.21
Requires: perl, perl-Net_SSLeay.pm >= 1.21
BuildArch: noarch

%description
This module is a true drop-in replacement for IO::Socket::INET that uses SSL to encrypt data before it is transferred to a remote server or client. IO::Socket::SSL supports all the extra features that one needs to write a full-featured SSL client or server application: multiple SSL contexts, cipher selection, certificate verification, and SSL version selection. As an extra bonus, it works perfectly with mod_perl.

If you have never used SSL before, you should read the appendix labelled 'Using SSL' before attempting to use this module.

If you have used this module before, read on, as versions 0.93 and above have several changes from the previous IO::Socket::SSL versions (especially see the note about return values).

%prep
%setup -n %{bsname}

%build
eval `%{perlbin} -V:prefix`
eval `%{perlbin} -V:vendorlib`
eval `%{perlbin} -V:vendorarch`
%{perlbin} Makefile.PL -- CFLAGS="${RPM_OPT_FLAGS}" \
        PREFIX="${RPM_BUILD_ROOT}/$prefix" INSTALLDIRS=vendor \
        INSTALLVENDORLIB="${RPM_BUILD_ROOT}/$vendorlib" \
        INSTALLVENDORARCH="${RPM_BUILD_ROOT}/$vendorarch" \
	< /dev/null
make
make test

%install
rm -rf "$RPM_BUILD_ROOT"
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/$prefix -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > filelist
if [ "$(cat filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf "$RPM_BUILD_DIR/%{bsname}"
rm -rf "$RPM_BUILD_ROOT"

%files -f filelist
%defattr(-,root,root)
%doc README Changes

%changelog
* Fri Mar 17 2006 HONDA Hirofumi <honda.hirofumi@nttcom.co.jp>
- Created for ultramonkey3
- 0.97
