##%%define _use_internal_dependency_generator 0
##%%define __find_requires %{SOURCE10}

%define realname Net-IP
%define bsname %{realname}-%{version}

%define perlbin /usr/bin/perl

Summary: Perl extension for manipulating IPv4/IPv6 addresses
Name: perl-%{realname}
Version: 1.24
Release: 1
Epoch: 2
License: GPL or Artistic
Group: Applications/CPAN
Source0: %{bsname}.tar.gz
##%Source10: filter-requires-%{realname}.sh
URL: http://search.cpan.org/search?query=%{realname}
BuildRoot: %{_tmppath}/%{name}-root/
BuildRequires: perl
Requires: perl
BuildArch: noarch

%description
This module provides functions to deal with IPv4/IPv6 addresses. The module can be used as a class, allowing the user to instantiate IP objects, which can be single IP addresses, prefixes, or ranges of addresses. There is also a procedural way of accessing most of the functions. Most subroutines can take either IPv4 or IPv6 addresses transparently.

%prep
%setup -n %{bsname}

%build
eval `%{perlbin} -V:prefix`
eval `%{perlbin} -V:vendorlib`
eval `%{perlbin} -V:vendorarch`
#%{perlbin} Makefile.PL -- CFLAGS="${RPM_OPT_FLAGS}" \
%{perlbin} Makefile.PL -- CFLAGS="${RPM_OPT_FLAGS}" \
        PREFIX="${RPM_BUILD_ROOT}/$prefix" INSTALLDIRS=vendor \
        INSTALLVENDORLIB="${RPM_BUILD_ROOT}/$vendorlib" \
        INSTALLVENDORARCH="${RPM_BUILD_ROOT}/$vendorarch" \
	< /dev/null
make
make test

%install
rm -rf "$RPM_BUILD_ROOT"
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/$prefix -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > filelist
if [ "$(cat filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf "$RPM_BUILD_DIR/%{bsname}"
rm -rf "$RPM_BUILD_ROOT"

%files -f filelist
%defattr(-,root,root)
%doc README Changes COPYING

%changelog
* Fri Jul 14 2006 KONDO hideaki <kondo.hideaki@oss.ntt.co.jp>
- Created for ultramonkey3-x86_64
* Fri Mar 17 2006 HONDA Hirofumi <honda.hirofumi@nttcom.co.jp>
- Created for ultramonkey3
- 1.24
